<html>
	<head>
	</head>
	<body>
		<form action = 'scenario'>
			<select id = 'scenarios' name = 'scenario'></select>
			<input type = 'text' placeholder = 'user name' name = 'person'/>
			<input type = 'submit' value = 'submit'/>
		</form>
		<script>
			var xhttp = new XMLHttpRequest();
			xhttp.open('GET', 'app/scenario/', true);
			xhttp.onreadystatechange = function() {
				if(this.readyState == XMLHttpRequest.DONE) {
					console.log(xhttp.responseText);
					populate(JSON.parse(xhttp.responseText));
				}
			};
			xhttp.send();

			function populate(arr) {
				var ul = document.getElementById('scenarios');
				for(var i = 0; i < arr.length; i++) {
					var li = document.createElement('option');
					li.value = arr[i];
					li.innerHTML = arr[i];
					ul.appendChild(li);
				}
			}
		</script>
	</body>
</html>
